# heightmap.h File Reference

Functions related to creating heightmaps from files. More...

Go to the source code of this file.

## Enumerations
enum | { HM_COUNTER_CLOCKWISE, HM_CLOCKWISE }
## Functions
bool | GetHeightmapDimensions (char *filename, uint *x, uint *y)
| Get the dimensions of a heightmap.
void | LoadHeightmap (char *filename)
| Load a heightmap from file and change the map in his current dimensions to a landscape representing the heightmap.
void | FlatEmptyWorld (byte tile_height)
| Make an empty world where all tiles are of height 'tile_height'.
void | FixSlopes ()
| This function takes care of the fact that land in OpenTTD can never differ more than 1 in height.

## Detailed Description

Functions related to creating heightmaps from files.

Definition in file heightmap.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  HM_COUNTER_CLOCKWISE | Rotate the map counter clockwise 45 degrees.
  HM_CLOCKWISE | Rotate the map clockwise 45 degrees.

Definition at line 19 of file heightmap.h.

## Function Documentation

void FlatEmptyWorld | ( | byte | tile_height | ) |

Make an empty world where all tiles are of height 'tile_height'.

Parameters:

  | tile_height | of the desired new empty world

Definition at line 455 of file heightmap.cpp.

References _settings_game, GameSettings::construction, FixSlopes(), ConstructionSettings::freeform_edges, MapSizeX(), MapSizeY(), MarkWholeScreenDirty(), SetTileHeight(), and TileXY().

Referenced by _GenerateWorld().

bool GetHeightmapDimensions | ( | char * | filename,
|  | uint * | x,
|  | uint * | y |
| ) |  |  |

Get the dimensions of a heightmap.

Parameters:

  | filename | to query
  | x | dimension x
  | y | dimension y

Returns:
  Returns false if loading of the image failed.

Definition at line 433 of file heightmap.cpp.

References ReadHeightMap().

void LoadHeightmap | ( | char * | filename | ) |

Load a heightmap from file and change the map in his current dimensions to a landscape representing the heightmap.

It converts pixels to height. The brighter, the higher.

Parameters:

  | filename | of the heighmap file to be imported

Definition at line 438 of file heightmap.cpp.

References FixSlopes(), GrayscaleToMapHeights(), MarkWholeScreenDirty(), and ReadHeightMap().

Referenced by GenerateLandscape().